| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Util.Invisible

Portability | unportable
Stability | unstable
Maintainer | andrea.rossato@unibz.it, droundy@darcs.net

Contents

Usage:

Description
A data type to store the layout state
Synopsis

newtype Invisible m a = I (m a)
whenIJust :: Monad m => Invisible Maybe a -> (a -> m ()) -> m ()
fromIMaybe :: a -> Invisible Maybe a -> a

Usage:
A wrapper data type to store layout state that shouldn't be persisted across restarts. A common wrapped type to use is `Maybe a`. Invisible derives trivial definitions for Read and Show, so the wrapped data type need not do so.

newtype Invisible m a | Source

Constructors

I (m a) |

Instances

Monad m => Monad (Invisible m)
Functor m => Functor (Invisible m)
(Functor m, Monad m) => Read (Invisible m a)
Monad m => Show (Invisible m a)

whenIJust :: Monad m => Invisible Maybe a -> (a -> m ()) -> m () | Source

fromIMaybe :: a -> Invisible Maybe a -> a | Source

Produced by Haddock version 2.4.2